# Node.JS Middleware

1- In your workspace create a new folder named lab2

2- Open a command prompt and switch to lab2 folder

3- Type "npm init" to initialize project. You can use default answers for questions

4- After that you will see that the file package.json has been created.  Let create a new file named index.js

5- Install connect module

```shell
npm install connect -- save
```

6- Let build our own http middleware. A middleware component is not much more than a function that receives the request and response objects. Our first middleware component responds with the string "Hello World!"and ends the response. For that purpose create a new file named hello_world.js  which has following content:

```javascript
function helloWorld(req, res) {
res.end('Hello World!!');
}
module.exports = helloWorld;
```

7- Edit index.js : import hello_world and connect modules, add helloWorld middleware and create a server

```javascript
var connect = require('connect');
var helloWorld = require('./hello_world');
var app= connect();
app.use(helloWorld);

app.listen(3000);
```

switch to command prompt and run index.js with typing "node index"

Open a web browser and type " http://localhost:3000/". Check your result. You will see the "'Hello World!!" message on the screen
